QSizeGrip(3qt)

NAME
QSizeGrip - Corner-grip for resizing a top level window

#include <qsizegrip.h>

Inherits QWidget.

  Public Members
QSizeGrip ( QWidget * parent, const char * name=0 )
~QSizeGrip ()
virtual QSize sizeHint () const

  Protected Members
virtual void paintEvent ( QPaintEvent * )
virtual void mousePressEvent ( QMouseEvent * )
virtual void mouseMoveEvent ( QMouseEvent * )

DESCRIPTION
The QSizeGrip class provides corner-grip for resizing a top level window.

This widget works like the standard Windows resize handle. In the X11 version this resize handle generally works differently than the one provided by the system; we hope to reduce this difference in the future.

Put this widget anywhere in a tree and the user can use it to resize the top-level window. Generally this should be in the lower right-hand corner. Note that QStatusBar already uses this widget, so if you have a status bar (eg. you are using QMainWindow), then you don't need to use this widget explicitly.

[Image Omitted]

[Image Omitted]

See also QStatusBar.

Examples: scrollview/scrollview.cpp

MEMBER FUNCTION DOCUMENTATION

QSizeGrip::QSizeGrip ( QWidget * parent, const char * name=0 )
Construct a resize corner as a child widget of parent.

QSizeGrip::~QSizeGrip ()
Destructor.

void QSizeGrip::mouseMoveEvent ( QMouseEvent * e ) [virtual protected]
Resizes the top-level widget containing this widget.

Reimplemented from QWidget.

void QSizeGrip::mousePressEvent ( QMouseEvent * e ) [virtual protected]
Primes the resize operation.

Reimplemented from QWidget.

void QSizeGrip::paintEvent ( QPaintEvent * e ) [virtual protected]
Paints the resize grip - small diagonal textured lines in the lower right-hand corner.

Reimplemented from QWidget.

QSize QSizeGrip::sizeHint () const [virtual]
Returns a small size.

Reimplemented from QWidget.

QSizePolicy QSizeGrip::sizePolicy () const [virtual]
Reimplemented for internal reasons; the API is not affected.

Reimplemented from QWidget.

SEE ALSO
http://doc.trolltech.com/qsizegrip.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qsizegrip.3) and the Qt version (2.3.2).